package jcg.demo.activemq.failover;

import javax.jms.JMSException;

import jcg.demo.util.DemoDataUtils;

public class MessageConsumerApp {

	public static void main(String[] args) {

		String failoverUrl = DemoDataUtils.readFailoverURL();

		if (failoverUrl == null) {
			System.out.println("Wrong input");
		} else {
			QueueMessageConsumer queueMsgListener = new QueueMessageConsumer(failoverUrl, "admin", "admin");
			queueMsgListener.setDestinationName(DemoDataUtils.DESTINATION);

			try {
				queueMsgListener.run();
			} catch (JMSException e) {
				e.printStackTrace();
			}
		}
	}

}
