package jcg.demo.activemq.failover;

import jcg.demo.util.DemoDataUtils;

public class MessageProducerApp {

	public static void main(String[] args) {
		String failoverUrl = DemoDataUtils.readFailoverURL();
		
		if (failoverUrl == null) {
			System.out.println("Wrong input");
		} else {
			QueueMessageProducer queProducer = new QueueMessageProducer(failoverUrl, "admin", "admin");
			queProducer.sendDummyMessages(DemoDataUtils.DESTINATION);
		}
	}
}
